
package de.ivu.elect.business.sitzberechnung.control.util;

import java.util.ArrayList;
import java.util.Collections;
import java.util.List;

public class GewaehlteNachStimmenzahlErmittlerUtil {

  public static <K> List<List<K>> toListOfSingletonLists(List<K> list) {
    List<List<K>> result = new ArrayList<>();
    for (K kandidatur : list) {
      result.add(Collections.singletonList(kandidatur));
    }
    return result;
  }
}
